<template>
  <h1 class="greeting">
    <span class="greeting__hello">HELLO!😂</span>
    <span
      class="greeting__introduction"
    >My name is Fabian and this is my website, please take a look! 👇</span>
  </h1>
</template>

<style lang="scss" scoped>
@import "assets/styles/_variables.scss";
.light-mode .greeting__hello {
  color: $light-greeting-color;
}
.light-mode .greeting__introduction {
  color: $light-foreground-color;
}
.greeting {
  display: flex;
  flex-direction: column;
  margin: 0;
  font-weight: normal;
  &__hello {
    font-family: "Sequel-100";
    font-size: 9.5vw;
    letter-spacing: 0.8vw;
    color: $greeting-color;
    @media screen and (min-width: $website-max-width) {
      font-size: 182.4px;
      letter-spacing: 15.36px;
    }
  }
  &__introduction {
    font-family: "Sequel-45";
    font-size: 1.25rem;
    color: $foreground-color;
  }
}
</style>
